<?PHP
/**
 * Constains lists for resolving title type names to their internally used names.
 * ones.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Constains lists for resolving title type names to their internally used names.
 */
final class MDConcTitleTypes implements MDImporterConcordanceListInterface {

    private const TITLE_TYPES = [

        // Empty
        "" => "",

        // Scientific names
        "Science" => "Science",

        // Everyday speech
        "Everyday speech" => "Everyday speech",
        "Alltagssprache" => "Everyday speech",

        // Colloquialisms
        "Colloquial speech" => "Colloquial speech",

        // Names in dialect
        "Dialect" => "Dialect",
        "mundartl" => "Dialect",
        "mundartlich" => "Dialect",

    ];

    /**
     * Require a function for getting the concordance target.
     *
     * @param string $input Input string.
     *
     * @return string
     */
    public static function getConcordanceTarget(string $input):string {

        if (!isset(self::TITLE_TYPES[$input])) {
            throw new MDImporterMissingConcordance("Unknown title type: " . $input);
        }

        return self::TITLE_TYPES[$input];

    }
}
